zsyswapr.f(3)

NAME
zsyswapr.f -

SYNOPSIS

  Functions/Subroutines
subroutine zsyswapr (UPLO, N, A, LDA, I1, I2)
ZSYSWAPR

Function/Subroutine Documentation

  subroutine zsyswapr (characterUPLO, integerN, complex*16, dimension( lda, n )A, integerLDA, integerI1, integerI2)

ZSYSWAPR

Purpose:

     ZSYSWAPR applies an elementary permutation on the rows and the columns of
     a symmetric matrix.

Parameters:
    UPLO

              UPLO is CHARACTER*1
              Specifies whether the details of the factorization are stored
              as an upper or lower triangular matrix.
              = 'U':  Upper triangular, form is A = U*D*U**T;
              = 'L':  Lower triangular, form is A = L*D*L**T.

    N

              N is INTEGER
              The order of the matrix A.  N >= 0.

    A

              A is COMPLEX*16 array, dimension (LDA,N)
              On entry, the NB diagonal matrix D and the multipliers
              used to obtain the factor U or L as computed by ZSYTRF.
              On exit, if INFO = 0, the (symmetric) inverse of the original
              matrix.  If UPLO = 'U', the upper triangular part of the
              inverse is formed and the part of A below the diagonal is not
              referenced; if UPLO = 'L' the lower triangular part of the
              inverse is formed and the part of A above the diagonal is
              not referenced.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.  LDA >= max(1,N).

    I1

              I1 is INTEGER
              Index of the first row to swap

    I2

              I2 is INTEGER
              Index of the second row to swap

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2011

Definition at line 103 of file zsyswapr.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.